diff -Nurd -x'*~' pygtk-2.6.3.orig/Makefile.in pygtk-2.6.3/Makefile.in
--- pygtk-2.6.3.orig/Makefile.in	2005-07-14 08:33:20.000000000 -0400
+++ pygtk-2.6.3/Makefile.in	2006-12-21 16:08:14.000000000 -0500
@@ -190,7 +190,7 @@
 
 @BUILD_GTK_TRUE@GTK_SUBDIR = gtk
 
-SUBDIRS = codegen gobject . $(GTK_SUBDIR) docs examples tests 
+SUBDIRS = codegen . $(GTK_SUBDIR) docs examples tests 
 
 PLATFORM_VERSION = 2.0
 
@@ -219,15 +219,13 @@
 
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = \
-	pygobject-$(PLATFORM_VERSION).pc\
 $(am__append_1)
 
 INCLUDES = \
 	$(PYTHON_INCLUDES) \
 	$(GLIB_CFLAGS) \
 	$(PANGO_CFLAGS) \
-	$(ATK_CFLAGS) \
-	-I$(top_srcdir)/gobject
+	$(ATK_CFLAGS)
 
 
 COMMONDEFS = \
diff -Nurd -x'*~' pygtk-2.6.3.orig/configure pygtk-2.6.3/configure
--- pygtk-2.6.3.orig/configure	2005-07-14 08:33:17.000000000 -0400
+++ pygtk-2.6.3/configure	2006-12-21 17:03:50.000000000 -0500
@@ -20963,7 +20963,8 @@
   ;;
 esac
 
-                                                                                                                        ac_config_files="$ac_config_files Makefile pygobject-2.0.pc pygtk-2.0.pc codegen/Makefile gobject/Makefile gtk/Makefile docs/Makefile examples/Makefile tests/Makefile codegen/pygtk-codegen-2.0 pygtk.spec PKG-INFO"
+CFLAGS="$CFLAGS `$PKG_CONFIG --cflags pygobject-2.0`"
+                                                                                                                        ac_config_files="$ac_config_files Makefile pygtk-2.0.pc codegen/Makefile gtk/Makefile docs/Makefile examples/Makefile tests/Makefile codegen/pygtk-codegen-2.0 pygtk.spec PKG-INFO"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -22501,7 +22502,7 @@
 echo
 echo "The following modules will be built:"
 echo
-true                     && echo     gobject
+#true                     && echo     gobject
 $build_atk               && echo     atk
 $build_pango             && echo     pango
 $build_gtk               && echo     gtk
diff -Nurd -x'*~' pygtk-2.6.3.orig/gtk/Makefile.in pygtk-2.6.3/gtk/Makefile.in
--- pygtk-2.6.3.orig/gtk/Makefile.in	2005-07-14 08:33:22.000000000 -0400
+++ pygtk-2.6.3/gtk/Makefile.in	2006-12-21 16:53:51.000000000 -0500
@@ -206,7 +206,7 @@
 CLEANFILES = gtk.c gdk.c libglade.c
 pkginclude_HEADERS = pygtk.h
 
-INCLUDES = -I$(top_srcdir)/gobject $(PYTHON_INCLUDES) 
+INCLUDES = $(PYTHON_INCLUDES) 
 COMMONDEFS = $(srcdir)/gtk-types.defs $(srcdir)/gdk-types.defs \
   $(top_srcdir)/atk-types.defs $(top_srcdir)/pango-types.defs
 
diff -Nurd -x'*~' pygtk-2.6.3.orig/py-compile pygtk-2.6.3/py-compile
--- pygtk-2.6.3.orig/py-compile	2004-06-20 04:56:22.000000000 -0400
+++ pygtk-2.6.3/py-compile	2006-12-21 16:06:54.000000000 -0500
@@ -29,12 +29,24 @@
   PYTHON=python
 fi
 
+destdir=
 basedir=
 
+do_opts=1
+while [ $do_opts -ne 0 ]; do
+do_opts=0
 case "$1" in
+    --destdir)
+	shift
+	destdir=$1
+	shift
+	do_opts=1
+	;;
     --basedir)
-	basedir=$2
-	shift 2
+	shift
+	basedir=$1
+	shift
+	do_opts=1
 	;;
     --help)
 	echo "Usage: py-compile [--basedir DIR] PY_FILES ..."
@@ -47,6 +59,7 @@
 	exit 0
 	;;
 esac
+done
 
 if [ $# = 0 ]; then
     echo "No files given to $0" 1>&2
@@ -60,6 +73,11 @@
 else
     trans="path = os.path.join('$basedir', file)"
 fi
+if [ -z "$destdir$basedir" ]; then
+    trans_dest="dest = file"
+else
+    trans_dest="dest = os.path.join('$destdir$basedir', file)"
+fi
 
 $PYTHON -c "
 import sys, os, string, py_compile
@@ -68,11 +86,12 @@
 print 'Byte-compiling python modules...'
 for file in string.split(files):
     $trans
+    $trans_dest
     if not os.path.exists(path) or not (len(path) >= 3 and path[-3:] == '.py'):
 	continue
     print file,
     sys.stdout.flush()
-    py_compile.compile(path)
+    py_compile.compile(dest,None,path)
 print" || exit $?
 
 # this will fail for python < 1.5, but that doesn't matter ...
@@ -83,10 +102,11 @@
 print 'Byte-compiling python modules (optimized versions) ...'
 for file in string.split(files):
     $trans
+    $trans_dest
     if not os.path.exists(path) or not (len(path) >= 3 and path[-3:] == '.py'):
 	continue
     print file,
     sys.stdout.flush()
-    py_compile.compile(path)
+    py_compile.compile(dest,None,path)
 print" 2>/dev/null || :
 
diff -Nurd -x'*~' pygtk-2.6.3.orig/tests/Makefile.in pygtk-2.6.3/tests/Makefile.in
--- pygtk-2.6.3.orig/tests/Makefile.in	2005-07-14 08:33:22.000000000 -0400
+++ pygtk-2.6.3/tests/Makefile.in	2006-12-21 16:25:50.000000000 -0500
@@ -182,8 +182,7 @@
 	$(GLIB_CFLAGS) \
 	$(PANGO_CFLAGS) \
 	$(ATK_CFLAGS) \
-	$(GTK_CFLAGS) \
-	-I$(top_srcdir)/gobject
+	$(GTK_CFLAGS)
 
 
 EXTRA_DIST = $(tests) common.py runtests.py test-thread.h test-unknown.h
